### Method

# GtkSource Language get_style_ids

#### Declaration [src]

    gchar**
    gtk_source_language_get_style_ids (
      GtkSourceLanguage* language
    )

#### Description [src]

Returns the ids of the styles defined by this `language`.

#### Return value

Type: An array of `utf8`

a newly-allocated `NULL` terminated array containing ids of the styles defined by this `language` or `NULL` if no style is defined. The returned array must be freed with g_strfreev().

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.